Name:         NOCpulsePlugins
Version: 	  2.208.6
Release:      7%{?dist}
Summary:      NOCpulse authored Plugins
URL:          https://fedorahosted.org/spacewalk
Source0:      https://fedorahosted.org/releases/s/p/spacewalk/%{name}-%{version}.tar.gz
Patch0: NOCpulsePlugins-2.208.6-1-to-NOCpulsePlugins-2.208.6-7-sat.patch
BuildArch:    noarch
Requires:     perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:     nocpulse-common
Group:        Development/Libraries
License:      GPLv2
Buildroot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
NOCpulse provides application, network, systems and transaction monitoring,
coupled with a comprehensive reporting system including availability,
historical and trending reports in an easy-to-use browser interface.

This package contain NOCpulse authored plugins for probes.

%prep
%setup -q
%patch0 -p1

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/nocpulse
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/nocpulse/libexec
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/nocpulse/ProbeState

install *.ini   $RPM_BUILD_ROOT%{_sysconfdir}/nocpulse
install *.pm    $RPM_BUILD_ROOT%{_var}/lib/nocpulse/libexec
install status  $RPM_BUILD_ROOT%{_var}/lib/nocpulse/libexec
install catalog $RPM_BUILD_ROOT%{_var}/lib/nocpulse/libexec
install setTrending $RPM_BUILD_ROOT%{_bindir}
ln -s %{_var}/lib/nocpulse/libexec/catalog $RPM_BUILD_ROOT%{_bindir}/rhn-catalog

for pkg in Apache Apache/test General LogAgent MySQL NetworkService Oracle Oracle/test Satellite Unix Unix/test Weblogic 
do
  fulldir=$RPM_BUILD_ROOT%{_var}/lib/nocpulse/libexec/$pkg
  mkdir -p  $fulldir
  install $pkg/*.pm $fulldir
done

%post
if [ $1 -eq 2 ]; then
  ls /home/nocpulse/var/ProbeState/* 2>/dev/null | xargs -I file mv file %{_var}/lib/nocpulse/ProbeState
fi

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/nocpulse
%dir %attr(-, nocpulse,nocpulse) %{_var}/lib/nocpulse
%attr(-,nocpulse,nocpulse) %dir %{_var}/lib/nocpulse/ProbeState
%dir %attr(-, nocpulse,nocpulse) %{_var}/lib/nocpulse/libexec
%attr(-, nocpulse,nocpulse) %{_var}/lib/nocpulse/*
%{_sysconfdir}/nocpulse/*
%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 04 2009 Brad Buckingham <bbuckingham@redhat.com> 2.208.6-7
- 502595 - use ip instead of hostname (msuchy@redhat.com)

* Thu May 28 2009 Brad Buckingham <bbuckingham@redhat.com> 2.208.6-6
- 502595 - handle partial writes (msuchy@redhat.com)
- 502595 - rewrite TNSping probe (take 2) (msuchy@redhat.com)

* Tue May 19 2009 Brad Buckingham <bbuckingham@redhat.com> 2.208.6-5
- Package rebuild

* Thu May 14 2009 Brad Buckingham <bbuckingham@redhat.com> 2.208.6-4
- 498257 - migrate existing files into new nocpulse homedir
  (mzazrivec@redhat.com)

* Thu Apr 30 2009 Devan Goodwin <dgoodwin@redhat.com> 2.208.6-3
- Re-tagging to correct build issues.

* Fri Apr 24 2009 jesus m. rodriguez <jesusr@redhat.com> 2.208.6-2
- Automatic commit of package [NOCpulsePlugins] release [2.208.6-1].
  (tlestach@redhat.com)
- 449919 - fixing SNMP uptime information (tlestach@redhat.com)

* Thu Apr 16 2009 Tomas Lestach <tlestach@redhat.com> 2.208.6-1
- 449919 - fixing SNMP uptime information

* Thu Feb  5 2009 Miroslav Suchý <msuchy@redhat.com> 2.208.5-1
- 474279 - rewrite TNSping probe

* Tue Feb  3 2009 Miroslav Suchý <msuchy@redhat.com> 2.208.4-1
- fix permission of /var/lib/nocpulse/ProbeState

* Thu Dec  4 2008 Miroslav Suchý <msuchy@redhat.com> 2.208.3-1
- fix permission of /var/lib/nocpulse

* Mon Oct 20 2008 Miroslav Suchý <msuchy@redhat.com> 2.208.2-1
- 467441 - fix namespace

* Wed Sep 10 2008 Miroslav Suchý <msuchy@redhat.com> 2.208.1-1
- spec cleanup for Fedora
- remove /opt directory

* Thu Jun 19 2008 Miroslav Suchy <msuchy@redhat.com>
- migrating nocpulse home dir (BZ 202614)

* Fri Jun  6 2008 Milan Zazrivec <mzazrivec@redhat.com> 2.208.0-30
- cvs.dist import
